Manjaro Linux

Русское сообщество

Team Viever в Manjaro

Если не знаете где задать вопрос, смело задавайте тут

Team Viever в Manjaro

Сообщение Рарогъ » 01 авг 2014, 12:08

Еще одна софтина, которую я довольно часто использую в своей работе это TeamViewer. В AUR есть два пакета это 8-я и 9-я версия. Устанавливается только 8. Но, после установки она постоянно требует ручного запуска демона. 9-я версия, во время установки выдает ошибку и пишет что транзакция не удалась.
Может кто сталкивался с такой проблемой?
============
Вот вывод установки через консоль
12:08:43-ingeneer@ingeneer-pro:(~)sudo yaourt -S teamviewer
[sudo] password for ingeneer:
==> WARNING: Building package as root is dangerous.
Please run yaourt as a non-privileged user.

==> Downloading teamviewer PKGBUILD from AUR...
x PKGBUILD
x teamviewer.install
Comment by developej (2014-07-16 05:03)
@Matthew_Moore
https://wiki.archlinux.org/index.php/ma ... _checksums

Comment by spsf64 (2014-07-17 22:09)
Flagged as out of date, new ver 9.0.30203

Comment by kunaguvarun (2014-07-21 16:58)
@Matthew_Moore,
Thank you for posting this fix...

Comment by scjet (2014-07-25 14:53)
yep, it's still "Out of Date":
teamviewer_linux_x64-9.0.27891.deb ... FAILED
== ERROR: One or more files did not pass the validity check!
== ERROR: Makepkg was unable to build teamviewer.
-------
@Matthew_Moore,
Thx again, for the quick fix.
--------
Also, on a minor note, it still says: "...The Teamviewer daemon must be running for Teamviewer 8 to work...." ? should say "9", but just an fyi. :)

Comment by dixi_minga (2014-07-26 01:54)
finally after month: For Haswell CPUs a modified lib32-glibc is no longer needed with version 9.0.30203

teamviewer 9.0.27891-1 (Чт апр 15 14:29:51 MSD 2010)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==>

Может что подскажет как из Unsupported package: Potentially dangerous ! сделать supported ?
P.S. Если не трудно, то пишите в ответах конкретные рекомендации и команды. Очень не удобно лазить по многочисленным ссылкам и искать там, где уже рылся. Перед отправкой каждого поста лично я изначально гуглю тему....
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: Team Viever в Manjaro

Сообщение Abaza » 01 авг 2014, 13:09

Рарогъ писал(а):Может что подскажет как из Unsupported package: Potentially dangerous ! сделать supported ?

Никак. жми N и устанавливай дальше. И йогурта без судо запускай
Аватара пользователя
Abaza
 
Сообщения: 35
Зарегистрирован: 30 июн 2014, 22:42
Благодарил (а): 3 раз.
Поблагодарили: 4 раз.

Re: Team Viever в Manjaro

Сообщение Рарогъ » 01 авг 2014, 13:19

Abaza писал(а): N и устанавливай дальше

Тогда выдается ошибка....
Вот консольный вывод:
13:10:58-ingeneer@ingeneer-pro:(~)yaourt -S teamviewer

==> Downloading teamviewer PKGBUILD from AUR...
x PKGBUILD
x teamviewer.install
Comment by developej (2014-07-16 05:03)
@Matthew_Moore
https://wiki.archlinux.org/index.php/ma ... _checksums

Comment by spsf64 (2014-07-17 22:09)
Flagged as out of date, new ver 9.0.30203

Comment by kunaguvarun (2014-07-21 16:58)
@Matthew_Moore,
Thank you for posting this fix...

Comment by scjet (2014-07-25 14:53)
yep, it's still "Out of Date":
teamviewer_linux_x64-9.0.27891.deb ... FAILED
== ERROR: One or more files did not pass the validity check!
== ERROR: Makepkg was unable to build teamviewer.
-------
@Matthew_Moore,
Thx again, for the quick fix.
--------
Also, on a minor note, it still says: "...The Teamviewer daemon must be running for Teamviewer 8 to work...." ? should say "9", but just an fyi. :)

Comment by dixi_minga (2014-07-26 01:54)
finally after month: For Haswell CPUs a modified lib32-glibc is no longer needed with version 9.0.30203

teamviewer 9.0.27891-1 (Чт апр 15 14:29:51 MSD 2010)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> teamviewer dependencies:
- bash (already installed)
- lib32-gcc-libs (already installed)
- lib32-alsa-lib (already installed)
- lib32-libxtst (already installed)
- lib32-libxdamage (already installed)
- lib32-zlib (already installed)
- lib32-freetype2 (already installed)


==> Edit teamviewer.install ? [Y/n] ("A" to abort)
==> ----------------------------------------------
==> n

==> Continue building teamviewer ? [Y/n]
==> ------------------------------------
==>
==> Building and installing package
==> Сборка пакета: teamviewer 9.0.27891-1 (Пт авг 1 13:11:27 MSK 2014)
==> Проверяю необходимые для запуска зависимости...
==> Проверяю необходимые для сборки зависимости...
==> Получение исходных файлов...
-> Загрузка teamviewer_linux_x64-9.0.27891.deb...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
100 185 100 185 0 0 259 0 --:--:-- --:--:-- --:--:-- 259
100 22.3M 100 22.3M 0 0 247k 0 0:01:32 0:01:32 --:--:-- 342k
==> Проверка исходных файлов с помощью md5sums...
teamviewer_linux_x64-9.0.27891.deb ... СБОЙ
==> ОШИБКА: Один или более файлов не прошли проверку целостности!
==> ERROR: Makepkg was unable to build teamviewer.
==> Restart building teamviewer ? [y/N]
==> -----------------------------------
==>
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> teamviewer dependencies:
- bash (already installed)
- lib32-gcc-libs (already installed)
- lib32-alsa-lib (already installed)
- lib32-libxtst (already installed)
- lib32-libxdamage (already installed)
- lib32-zlib (already installed)
- lib32-freetype2 (already installed)


==> Edit teamviewer.install ? [Y/n] ("A" to abort)
==> ----------------------------------------------
==> n

==> Continue building teamviewer ? [Y/n]
==> ------------------------------------
==>
==> Building and installing package
==> Сборка пакета: teamviewer 9.0.27891-1 (Пт авг 1 13:13:21 MSK 2014)
==> Проверяю необходимые для запуска зависимости...
==> Проверяю необходимые для сборки зависимости...
==> Получение исходных файлов...
-> Найден teamviewer_linux_x64-9.0.27891.deb
==> Проверка исходных файлов с помощью md5sums...
teamviewer_linux_x64-9.0.27891.deb ... СБОЙ
==> ОШИБКА: Один или более файлов не прошли проверку целостности!
==> ERROR: Makepkg was unable to build teamviewer.
==> Restart building teamviewer ? [y/N]
==> -----------------------------------
==>
13:13:26-ingeneer@ingeneer-pro:(~)

В первый раз на запрос Restart building teamviewer ? [y/N] ответил Y, во второй N и вывалился из установки

Добавлено спустя 1 минуту 7 секунд:
Почему-то закаченый файл не проходит проверку целостности......
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: Team Viever в Manjaro

Сообщение Abaza » 01 авг 2014, 13:22

В PKGBUILD есть строка с контрольной суммой файла, вот она и не совпадает. Скорее всего вышла новая версия тимвьювера, а автор PKGBUILD не внес еще соответствующие исправления. Как вариант - высчитать md5 самому и подправить в PKGBUILD

Добавлено спустя 11 минут 56 секунд:
Код: Выделить всё
md5sums=('35ba2b46fe7d2669bfc8e67e8243694d')

поменяй на
Код: Выделить всё
md5sums=('decce9d21dbf99d508bb40c9a706e837')
Последний раз редактировалось Abaza 01 авг 2014, 13:28, всего редактировалось 1 раз.
Аватара пользователя
Abaza
 
Сообщения: 35
Зарегистрирован: 30 июн 2014, 22:42
Благодарил (а): 3 раз.
Поблагодарили: 4 раз.

Re: Team Viever в Manjaro

Сообщение Рарогъ » 01 авг 2014, 14:13

Поменял, Teamviewer установился, но не запускается, говорит выполни sudo treamviewer --daemon start, выполняю, но эффекта никакого.... Опять табличка о необходимости запустить демон.....
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: Team Viever в Manjaro

Сообщение Abaza » 01 авг 2014, 14:17

Попробуй выполнить
sudo systemctl start teamviewerd
Аватара пользователя
Abaza
 
Сообщения: 35
Зарегистрирован: 30 июн 2014, 22:42
Благодарил (а): 3 раз.
Поблагодарили: 4 раз.

Re: Team Viever в Manjaro

Сообщение Рарогъ » 01 авг 2014, 14:24

Тоже делал... бесполезно (((( Восьмерка стартует, после запуска демона, а вот девятка нифига. В общем то и восьмёрка устраивала бы ))) Теперь как автоматизировать запуск этого демона? При перезагрузки системы приходится заново руками запускать этот демон (((
Последний раз редактировалось Рарогъ 01 авг 2014, 14:25, всего редактировалось 1 раз.
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: Team Viever в Manjaro

Сообщение amigo » 01 авг 2014, 15:32

Рарогъ писал(а):а вот девятка нифига.



в KDE есть штатный ,но вы не любите KDE
Изображение
И что-в xfce-нет своего-пичалька :D
]img]http://4put.ru/pictures/max/957/2941110.jpg[/img]
Изображение

имеем
Изображение

Изображение
Аватара пользователя
amigo
 
Сообщения: 74
Зарегистрирован: 14 июл 2014, 12:37
Благодарил (а): 1 раз.
Поблагодарили: 18 раз.

Re: Team Viever в Manjaro

Сообщение Рарогъ » 01 авг 2014, 16:25

Не... quick-support устанавливается, только он позволяет подключаться к нему,но не подключаться к кому-то.
А вот кеды я действительно не очень )))))) Уж простите....
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: Team Viever в Manjaro

Сообщение funkychips » 03 авг 2014, 15:19

Первым делом sudo systemctl enable teamviewerd, а потом sudo systemctl start teamviewerd. У меня все заработало в xfce.
А вообще правильнее узнать md5sums самому выполнив команду sudo makepkg -g, далее отредактировать PKGBUILD заменив md5sums на полученный с помощью команды sudo makepkg -g.
Последний раз редактировалось funkychips 03 авг 2014, 15:23, всего редактировалось 1 раз.
Аватара пользователя
funkychips
 
Сообщения: 1
Зарегистрирован: 03 авг 2014, 15:16
Благодарил (а): 0 раз.
Поблагодарили: 1 раз.

След.

Вернуться в Уголок новичка



Кто сейчас на конференции

Сейчас этот форум просматривают: Bing [Bot] и гости: 3